Package org.apache.ignite.internal.cache.query.index.sorted.keys

## Class StringIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.StringIndexKey

All Implemented Interfaces:
  `IndexKey`

    public class StringIndexKey
    extends Object
    implements IndexKey

### Constructor Summary

Constructors
`StringIndexKey​(String key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(IndexKey o)`
`Object` `key()`
`String` `toString()`
`IndexKeyType` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`isComparableTo`

### Constructor Detail

#### StringIndexKey

    public StringIndexKey​(String key)

### Method Detail

#### key

    public Object key()

Specified by:
  `key` in interface `IndexKey`
Returns:
  Value of this key.

#### type

    public IndexKeyType type()

Specified by:
  `type` in interface `IndexKey`
Returns:
  Index key type `IndexKeyType`.

#### compare

    public int compare​(IndexKey o)

Specified by:
  `compare` in interface `IndexKey`
Returns:
  Comparison result with other IndexKey.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`